﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace SilverlightApplication4
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			var items = new ObservableCollection<MyItem>();

			for (int i = 0; i < 5; i++)
			{
				var item = new MyItem() { Category = "Category " + i, Question = "Question", Answer = "Answer" };
				for (int j = 0; j < 4; j++)
				{
					item.RelatedItems.Add(new MyItem() { Category = "Category " + j + "." + i, Question = "Question", Answer = "Answer" });
				}

				items.Add(item);
			}

			this.radPanelBar.ItemsSource = items;
		}

		private void RadPanelBarItem_MouseLeave(object sender, MouseEventArgs e)
		{
			(sender as RadPanelBarItem).IsExpanded = false;
		}

		private void RadPanelBarItem_MouseEnter(object sender, MouseEventArgs e)
		{
			(sender as RadPanelBarItem).IsExpanded = true;
		}

		private void StackPanel_MouseEnter(object sender, MouseEventArgs e)
		{
			var stackPanel = sender as StackPanel;
			if (stackPanel != null)
			{
				var panelBarItem = stackPanel.ParentOfType<RadPanelBarItem>();
				if (panelBarItem != null)
				{
					panelBarItem.IsExpanded = true;
				}
			}
		}

		private void radPanelBar_MouseLeave(object sender, MouseEventArgs e)
		{
			var panelBar = sender as RadPanelBar;
			if(panelBar != null)
			{
				panelBar.CollapseAll();
			}
		}
	}
}
